Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

use Perl Log In

Log In

[ Create a new account ]

Journal of Stevan (6065)

Tuesday July 17, 2007
08:40 AM

Class::MOP/Moose now works in 5.9.5

[ #33829 ]

Finally, thanks to mst (of DBIx::Class fame) we have a new version of Class::MOP which passes all tests cleanly in perl 5.9.5 (all while retaining backwards compat too). This was after a few attempts at fixing and then a couple attempts at just silencing the offending test (it really was just an edge case which did not affect the actual operation of the module), we now actually have a properly passing version. Horray for mst!

This now paves the way for experimenting with the new features of 5.9.5 in Class::MOP and Moose themselves, specifically the mro pragma, the given/when construct and smart matching. I plan on using my YAPC::EU time away from $work to start an experimental branch. Should be fun!

- Stevan

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • I just installed bleadperl and had no issues. Very cool and nice that Moose is working with it.